#version 410
layout (location = 0) in vec3 vertex;
layout (location = 1) in vec3 normal;

uniform mat4 pmatrix;
uniform mat4 camera;

out vec2 pos;

void main(void){
  vec4 p2 = pmatrix * camera * vec4(vertex, 1.0);
  pos = normalize(vertex.xy);
  gl_Position = p2;
}

